> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest Unaccepted Agreement

> Get the latest unaccepted agreement for a specific agreement type

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Agreements:Acceptance:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /agreements/latest-unaccepted
openapi: 3.1.0
info:
  version: 1.795.3
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /agreements/latest-unaccepted:
    get:
      tags:
        - Agreements
      summary: Get Latest Unaccepted Agreement
      description: Get the latest unaccepted agreement for a specific agreement type
      parameters:
        - schema:
            type: string
            enum:
              - PrivacyPolicy
              - TermsAndConditions
              - UniswapTermsOfService
              - UniswapPrivacyPolicy
          required: true
          name: agreementType
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  latestAgreement:
                    $ref: '#/components/schemas/Agreement'
                required:
                  - latestAgreement
      security:
        - authenticationToken: []
components:
  schemas:
    Agreement:
      type:
        - object
        - 'null'
      properties:
        id:
          type: string
        agreementUrl:
          type: string
        details:
          type: string
        agreementType:
          type: string
          enum:
            - PrivacyPolicy
            - TermsAndConditions
            - UniswapTermsOfService
            - UniswapPrivacyPolicy
      required:
        - id
        - details
        - agreementType
      additionalProperties: false
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````